GNU bug report logs - #39448
26.1; ERC connect wierdness

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Corwin Brust <corwin@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 39448 <at> debbugs.gnu.org and Corwin Brust <corwin@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39448 <at> debbugs.gnu.org:


Received: (at 39448) by debbugs.gnu.org; 20 Feb 2020 13:56:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 08:56:31 2020
Received: from localhost ([127.0.0.1]:44100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4mJb-0000kr-EU
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:56:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4mJY-0000kb-TM
 for 39448 <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:56:29 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4mJQ-0003UL-KZ; Thu, 20 Feb 2020 14:56:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Corwin Brust <corwin@HIDDEN>
Subject: Re: bug#39448: 26.1; ERC connect wierdness
References: <CAJf-WoT8Z4MTu+ep1V7ZMTGjit4dbyr9a4rvudbCyEo_7bpFDg@HIDDEN>
 <CAJf-WoR2a=CC9C5LcFLXkhtuTAsTOfRv8rh09D+Yev6usYO9_Q@HIDDEN>
 <878skx5qnc.fsf@HIDDEN>
 <CAJf-WoQA0e2-svimSsK2OjJMhUFgHvozqS3yBHes7-X4qx336w@HIDDEN>
Date: Thu, 20 Feb 2020 14:56:19 +0100
In-Reply-To: <CAJf-WoQA0e2-svimSsK2OjJMhUFgHvozqS3yBHes7-X4qx336w@HIDDEN>
 (Corwin Brust's message of "Thu, 20 Feb 2020 07:38:34 -0600")
Message-ID: <87lfox4b24.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Corwin Brust <corwin@HIDDEN> writes: > I haven't yet. More, 
 I upgraded to 27.0.50 from 26.3 and everything is so > snappy and nice -
 I maybe won't dig too hard anymore. > > Shall we close this or is it better
 that I do try further diggin [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39448
Cc: 39448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Corwin Brust <corwin@HIDDEN> writes:

> I haven't yet.  More, I upgraded to 27.0.50 from 26.3 and everything is so
> snappy and nice -  I maybe won't dig too hard anymore.  
>
> Shall we close this or is it better that I do try further digging?

It sounds unlikely that we'll make more progress here, so I'll close the
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39448; Package emacs. Full text available.

Message received at 39448 <at> debbugs.gnu.org:


Received: (at 39448) by debbugs.gnu.org; 20 Feb 2020 13:38:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 08:38:52 2020
Received: from localhost ([127.0.0.1]:44056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4m2W-0006lF-GC
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:38:52 -0500
Received: from mail-ed1-f43.google.com ([209.85.208.43]:39264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mplscorwin@HIDDEN>) id 1j4m2V-0006l0-5Z
 for 39448 <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:38:51 -0500
Received: by mail-ed1-f43.google.com with SMTP id m13so33766948edb.6
 for <39448 <at> debbugs.gnu.org>; Thu, 20 Feb 2020 05:38:51 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=MLY33l29CdGAZdxTkw7r/bxar/8jAWq8CENBEDHnvFE=;
 b=SIaMq9Cu0pDQVDRS7yYp/at2PX0LAnQZutzhi3mbIahlj417MqSawret9+RHCxyRX9
 ViDy7sAuMQTGYPb7p1KSt4V/HPCvPjR0k+fVSUx1uAEhMQD2Q4AF9vJ3bbchPe9Y9TOE
 fJU06CgN49RaN2e7TkMqn4A+1yJ4JOooiDzPa+n8sGnlCQuW7dnfUOgW2ndc1lljIkNf
 CIoPMENWdxJ3Mh3ggft6UOI5T0ilViqPARscfTelZY4yaKDpC8MmuHKJme8fE+zzGyvd
 kh2jBsIebSQbMmWoAJ4+m3D/iwstZwrAV4b8lZr8bRF8HMic7XVfcj5jDyXSN4bXSIb4
 Edyw==
X-Gm-Message-State: APjAAAUKtb13a66Gw7gVqjcKAGF2hRDbBXGLqcPz/ve8oPf25BoXEriK
 3Cq31PMvbIYI/aKrlbdXDcUylefy+mFdmmXsH5c=
X-Google-Smtp-Source: APXvYqwTNkTll2SZNh4GLyJF1SjK+ZaD1TWoJ1cvYLQVIXJXGKtBu0q8KTcYiMKTiqO993qv2cAoSJlbcbHF1XulpJM=
X-Received: by 2002:a05:6402:2218:: with SMTP id
 cq24mr7556324edb.24.1582205925335; 
 Thu, 20 Feb 2020 05:38:45 -0800 (PST)
MIME-Version: 1.0
References: <CAJf-WoT8Z4MTu+ep1V7ZMTGjit4dbyr9a4rvudbCyEo_7bpFDg@HIDDEN>
 <CAJf-WoR2a=CC9C5LcFLXkhtuTAsTOfRv8rh09D+Yev6usYO9_Q@HIDDEN>
 <878skx5qnc.fsf@HIDDEN>
In-Reply-To: <878skx5qnc.fsf@HIDDEN>
From: Corwin Brust <corwin@HIDDEN>
Date: Thu, 20 Feb 2020 07:38:34 -0600
Message-ID: <CAJf-WoQA0e2-svimSsK2OjJMhUFgHvozqS3yBHes7-X4qx336w@HIDDEN>
Subject: Re: bug#39448: 26.1; ERC connect wierdness
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000242535059f020625"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39448
Cc: 39448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000242535059f020625
Content-Type: text/plain; charset="UTF-8"

I haven't yet.  More, I upgraded to 27.0.50 from 26.3 and everything is so
snappy and nice -  I maybe won't dig too hard anymore.

Shall we close this or is it better that I do try further digging?

On Thu, Feb 20, 2020, 07:34 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Corwin Brust <corwin@HIDDEN> writes:
>
> > Once I completely disabled the Comcast security feature, whatever it's
> called,
> > ERC connects without difficulty.
> >
> > I think this may still be a valid bug, however, as I was able to
> > connect to Freenode (used for testing in all cases) from rcirc even
> > while Comcast's anti-productivity software was active.  I'm curious
> > how the two different IRC implementations handle/depend on IDENT.
> > I'll dig into this if I can and report with such clues or questions as
> > I find.
>
> Whatever "security" software they were using could be using deep packet
> inspection; i.e., blocking the connection based on the protocol contents
> of the packets.  It does sound rather unlikely that anybody would bother
> to do that for IRC, but who knows these days...
>
> Did you find any further clues?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--000000000000242535059f020625
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">I haven&#39;t yet.=C2=A0 More, I upgraded to 27.0.50 from=
 26.3 and everything is so snappy and nice -=C2=A0 I maybe won&#39;t dig to=
o hard anymore.=C2=A0=C2=A0<div dir=3D"auto"><br></div><div dir=3D"auto">Sh=
all we close this or is it better that I do try further digging?</div></div=
><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Th=
u, Feb 20, 2020, 07:34 Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN=
rg">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote=
" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">C=
orwin Brust &lt;<a href=3D"mailto:corwin@HIDDEN" target=3D"_blank" rel=3D"n=
oreferrer">corwin@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Once I completely disabled the Comcast security feature, whatever it&#=
39;s called,<br>
&gt; ERC connects without difficulty.=C2=A0 <br>
&gt;<br>
&gt; I think this may still be a valid bug, however, as I was able to<br>
&gt; connect to Freenode (used for testing in all cases) from rcirc even<br=
>
&gt; while Comcast&#39;s anti-productivity software was active.=C2=A0 I&#39=
;m curious<br>
&gt; how the two different IRC implementations handle/depend on IDENT.<br>
&gt; I&#39;ll dig into this if I can and report with such clues or question=
s as<br>
&gt; I find.<br>
<br>
Whatever &quot;security&quot; software they were using could be using deep =
packet<br>
inspection; i.e., blocking the connection based on the protocol contents<br=
>
of the packets.=C2=A0 It does sound rather unlikely that anybody would both=
er<br>
to do that for IRC, but who knows these days...<br>
<br>
Did you find any further clues?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer noreferrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--000000000000242535059f020625--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39448; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39448 <at> debbugs.gnu.org:


Received: (at 39448) by debbugs.gnu.org; 20 Feb 2020 13:34:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 08:34:26 2020
Received: from localhost ([127.0.0.1]:44027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4lyE-0006cf-Bm
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:34:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4lyD-0006cQ-Am
 for 39448 <at> debbugs.gnu.org; Thu, 20 Feb 2020 08:34:25 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4ly3-0003EZ-TC; Thu, 20 Feb 2020 14:34:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Corwin Brust <corwin@HIDDEN>
Subject: Re: bug#39448: 26.1; ERC connect wierdness
References: <CAJf-WoT8Z4MTu+ep1V7ZMTGjit4dbyr9a4rvudbCyEo_7bpFDg@HIDDEN>
 <CAJf-WoR2a=CC9C5LcFLXkhtuTAsTOfRv8rh09D+Yev6usYO9_Q@HIDDEN>
Date: Thu, 20 Feb 2020 14:34:15 +0100
In-Reply-To: <CAJf-WoR2a=CC9C5LcFLXkhtuTAsTOfRv8rh09D+Yev6usYO9_Q@HIDDEN>
 (Corwin Brust's message of "Sat, 8 Feb 2020 13:29:11 -0600")
Message-ID: <878skx5qnc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Corwin Brust <corwin@HIDDEN> writes: > Once I completely
 disabled
 the Comcast security feature, whatever it's called, > ERC connects without
 difficulty. > > I think this may still be a valid bug, however, as I was
 able to > connect to Fr [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39448
Cc: 39448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Corwin Brust <corwin@HIDDEN> writes:

> Once I completely disabled the Comcast security feature, whatever it's called,
> ERC connects without difficulty.  
>
> I think this may still be a valid bug, however, as I was able to
> connect to Freenode (used for testing in all cases) from rcirc even
> while Comcast's anti-productivity software was active.  I'm curious
> how the two different IRC implementations handle/depend on IDENT.
> I'll dig into this if I can and report with such clues or questions as
> I find.

Whatever "security" software they were using could be using deep packet
inspection; i.e., blocking the connection based on the protocol contents
of the packets.  It does sound rather unlikely that anybody would bother
to do that for IRC, but who knows these days...

Did you find any further clues?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39448; Package emacs. Full text available.

Message received at 39448 <at> debbugs.gnu.org:


Received: (at 39448) by debbugs.gnu.org; 8 Feb 2020 19:29:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 08 14:29:29 2020
Received: from localhost ([127.0.0.1]:51845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j0VnF-0004oi-Is
	for submit <at> debbugs.gnu.org; Sat, 08 Feb 2020 14:29:29 -0500
Received: from mail-ed1-f42.google.com ([209.85.208.42]:38422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mplscorwin@HIDDEN>) id 1j0VnD-0004oU-MJ
 for 39448 <at> debbugs.gnu.org; Sat, 08 Feb 2020 14:29:28 -0500
Received: by mail-ed1-f42.google.com with SMTP id p23so3537614edr.5
 for <39448 <at> debbugs.gnu.org>; Sat, 08 Feb 2020 11:29:27 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=jtNtbuBHo1sQohht2llrqZpxq5dHBhjUKINPYKQQBcw=;
 b=SgleAs3Ni/FWkv7iLhKLqaS9j5MMRggsmF6Z2FvgonYDV/s8nFhoNmx8LsLWEhV08/
 jcEqCOH3iCUNVscRWDuJo+3cOWtyJe1oddzWonF/ssbWks3RUHAgs4NG/FlWxC2JNL5E
 +omKTStzvFfZhGZzzqufiVisEIb9sGJtTQZgJNwDX/dRmI1q69SLH+TZHEJIppLCuZqp
 y8VnaPNl/JRhBiAf7o+qYhcktNM+Z7bZfFlENa6n+KOcSMvHJycoJltlrTUQHrJwXvmg
 jrAhh7hW7Yul4SxTagjNR+VOqRC52I0WvMACVMO92XQ1db4lNCMUwOghFtjEj8jYhiyY
 fsAg==
X-Gm-Message-State: APjAAAVukiapLao0gygldQbod2eHShfuf+CTZWb+bFuhSUzx+l+BvsfX
 iy8C39iMGUXO/zAMv66WhIvzY07TLnI8LNwNzwCsidopEaU=
X-Google-Smtp-Source: APXvYqyUfLnELgvYqmhNBXXgurQM9Q+lg7e1R1I0X9ed6kmKeG+9WMMz3jMXAW0Jcfd+8yb740TZQ8pNCT1Vashi4co=
X-Received: by 2002:a05:6402:6d2:: with SMTP id
 n18mr4468412edy.100.1581190161690; 
 Sat, 08 Feb 2020 11:29:21 -0800 (PST)
MIME-Version: 1.0
References: <CAJf-WoT8Z4MTu+ep1V7ZMTGjit4dbyr9a4rvudbCyEo_7bpFDg@HIDDEN>
In-Reply-To: <CAJf-WoT8Z4MTu+ep1V7ZMTGjit4dbyr9a4rvudbCyEo_7bpFDg@HIDDEN>
From: Corwin Brust <corwin@HIDDEN>
Date: Sat, 8 Feb 2020 13:29:11 -0600
Message-ID: <CAJf-WoR2a=CC9C5LcFLXkhtuTAsTOfRv8rh09D+Yev6usYO9_Q@HIDDEN>
Subject: Re: bug#39448: 26.1; ERC connect wierdness
To: 39448 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000e8f568059e158577"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 39448
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000e8f568059e158577
Content-Type: text/plain; charset="UTF-8"

Hi again,

On Wed, Feb 5, 2020 at 11:39 PM Corwin Brust <corwin@HIDDEN> wrote:

> Greetings!  I'm reporting at the request of Bandali
>

Adding detail, again at the request of Bandali.

/d/emax64/bin/runemacs.exe -Q --eval '(setq erc-debug-irc-protocol
> t)(raise-frame)'
>
[...]

> 1. ERC appears to start, ERC: CLOSED shown in the mode-line, "Connecting
> [...]" in the minibuffer.
>
> 2. It appears to just sit there
>
[... ]

>   *** ERC terminated: failed with code 10060
>
[... etc ...]

I found that my ISP, Comcast, has added a service they call "Protected
Browsing" or "Safe Browsing" or "xFi Advanced Security" depending on
whether you are the web portal, the documentation for the web portal, or at
their marketing, etc.

Here's a forum thread with details for turning this off:

https://forums.xfinity.com/t5/Email-Web-Browsing/Unblock-all-websites/td-p/3292083

Looking at the web portal I could see that lots of requests to port 113
were getting blocked (many with alarming log commentary about "China" and
"Australia" and other parts foreign.  The horror).

Once I completely disabled the Comcast security feature, whatever it's
called, ERC connects without difficulty.

I think this may still be a valid bug, however, as I was able to connect to
Freenode (used for testing in all cases) from rcirc even while Comcast's
anti-productivity software was active.  I'm curious how the two different
IRC implementations handle/depend on IDENT.  I'll dig into this if I can
and report with such clues or questions as I find.

Regards,
-- 
*Corwin*
612-217-1742
612-298-0615 (fax)
612-695-4276 (mobile)
*corwin.brust (skype)corwin@HIDDEN <corwin@HIDDEN>*

--000000000000e8f568059e158577
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi again,<br></div><br><div class=3D"gmail_quote"><di=
v dir=3D"ltr" class=3D"gmail_attr">On Wed, Feb 5, 2020 at 11:39 PM Corwin B=
rust &lt;<a href=3D"mailto:corwin@HIDDEN" target=3D"_blank">corwin@HIDDEN</=
a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0p=
x 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><d=
iv dir=3D"ltr">Greetings!=C2=A0 I&#39;m reporting at the request of Bandali=
 </div></blockquote><div><br></div><div>Adding detail, again at the request=
 of Bandali.<br></div><br><blockquote class=3D"gmail_quote" style=3D"margin=
:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"=
><div dir=3D"ltr"><div>/d/emax64/bin/runemacs.exe -Q --eval &#39;(setq erc-=
debug-irc-protocol t)(raise-frame)&#39;<br></div></div></blockquote><div>[.=
..] <br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px=
 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D=
"ltr"><div>1. ERC appears to start, ERC: CLOSED shown in the mode-line, &qu=
ot;Connecting<br>[...]&quot; in the minibuffer.<br><br>2. It appears to jus=
t sit there<br></div></div></blockquote><div>[... ] <br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px soli=
d rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr"><div>=C2=A0 *** ERC t=
erminated: failed with code 10060<br></div></div></blockquote>
<div>[... etc ...] <br></div>

</div><div><br></div><div>I found that my ISP, Comcast, has added a service=
 they call &quot;Protected Browsing&quot;=20
or &quot;Safe Browsing&quot;=20

or &quot;xFi Advanced Security&quot; depending on whether you are the web p=
ortal, the documentation for the web portal, or at their marketing, etc.=C2=
=A0=C2=A0 <br></div><div><br></div><div>Here&#39;s a forum thread with deta=
ils for turning this off:=C2=A0 <br></div><div>=C2=A0 <a href=3D"https://fo=
rums.xfinity.com/t5/Email-Web-Browsing/Unblock-all-websites/td-p/3292083">h=
ttps://forums.xfinity.com/t5/Email-Web-Browsing/Unblock-all-websites/td-p/3=
292083</a></div><div><br></div><div>Looking at the web portal I could see t=
hat lots of requests to port 113 were getting blocked (many with alarming l=
og commentary about &quot;China&quot; and &quot;Australia&quot; and other p=
arts foreign.=C2=A0 The horror).=C2=A0=C2=A0 <br></div><div><br></div><div>=
Once I completely disabled the Comcast security feature, whatever it&#39;s =
called, ERC connects without difficulty.=C2=A0 <br></div><div><br></div><di=
v>I think this may still be a valid bug, however, as I was able to connect =
to Freenode (used for testing in all cases) from rcirc even while Comcast&#=
39;s anti-productivity software was active.=C2=A0 I&#39;m curious how the t=
wo different IRC implementations handle/depend on IDENT.=C2=A0 I&#39;ll dig=
 into this if I can and report with such clues or questions as I find.<br><=
/div><div><br></div><div>Regards,<br></div>-- <br><div dir=3D"ltr"><div sty=
le=3D"font-family:arial,sans-serif;font-size:13px"><font style=3D"color:rgb=
(0,0,153)" size=3D"4"><b>Corwin</b></font></div><div style=3D"font-family:a=
rial,sans-serif;font-size:13px"><font face=3D"&#39;courier new&#39;, monosp=
ace">612-217-1742</font></div><div style=3D"font-family:arial,sans-serif;fo=
nt-size:13px"><font face=3D"&#39;courier new&#39;, monospace">612-298-0615 =
(fax)</font></div><div style=3D"font-family:arial,sans-serif;font-size:13px=
"><font face=3D"&#39;courier new&#39;, monospace">612-695-4276 (mobile)<br>=
</font><font color=3D"#888888"><i style=3D"color:rgb(0,0,153)"><span style=
=3D"color:rgb(0,0,0);font-style:normal"><div><font face=3D"&#39;courier new=
&#39;, monospace">corwin.brust (skype</font>)</div><div><i style=3D"color:r=
gb(0,0,153)"><a href=3D"mailto:corwin@HIDDEN" style=3D"color:rgb(42,93,176)=
" target=3D"_blank">corwin@HIDDEN</a></i></div></span></i></font></div></di=
v></div>

--000000000000e8f568059e158577--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39448; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2020 05:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 00:38:02 2020
Received: from localhost ([127.0.0.1]:47004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izZrV-0003S7-Ql
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 00:38:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:46536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mplscorwin@HIDDEN>) id 1izZrT-0003Ry-JO
 for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 00:38:00 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:35919)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mplscorwin@HIDDEN>) id 1izZrR-0000bO-5f
 for bug-gnu-emacs@HIDDEN; Thu, 06 Feb 2020 00:37:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,RCVD_IN_DNSWL_NONE,URIBL_BLOCKED,WEIRD_PORT autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mplscorwin@HIDDEN>) id 1izZrO-0001DT-U6
 for bug-gnu-emacs@HIDDEN; Thu, 06 Feb 2020 00:37:57 -0500
Received: from mail-ed1-f42.google.com ([209.85.208.42]:45816)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <mplscorwin@HIDDEN>)
 id 1izZrO-0001BP-J5
 for bug-gnu-emacs@HIDDEN; Thu, 06 Feb 2020 00:37:54 -0500
Received: by mail-ed1-f42.google.com with SMTP id v28so4583094edw.12
 for <bug-gnu-emacs@HIDDEN>; Wed, 05 Feb 2020 21:37:54 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=gdCYaHRCSsk8qewMoaq/7Y9p/K15fGSCyJak2a6qJYM=;
 b=kdAHGetx+u23a1XGdeXQIJfdjXeo4mG27rophc2uC1pCEjtJ5HotAVJLO/jqr9CeCK
 9Ft6K2O5JqiN0nTdK1In+gP2I3sqRK2uGGODW0LKMw3gauddMlqp4u911GHrRKJ1Y9yU
 NvdfSoFnakpj+109tgZ9R6jEgV4B64IlCj4owxemlxcF9h+0Z5iLCYJIKtaxzd6mdfF3
 mBUAvEXIoepZ8jr8ldRV20vMpEOKQxCjxIDIG/NMiQeKQuVnWk0BKxjzz+M8VhbBfNAJ
 tL/tADRtDcESph3Hajo+em+vIsRdpveuFvKCQGWPu6a5Vnt0eejvVN6sQVjKUWewpYkI
 gZBQ==
X-Gm-Message-State: APjAAAUNP7EcrEbt2oNuzp2czjDuEoPwTFvlFP1F3755fARuaxBWFNz0
 5X45CGdnecg4SMZv5MjY+YMEbAWY/TxLmGF94zOiCP2ijiM=
X-Google-Smtp-Source: APXvYqxxQWRHOGka3y48aBcGa/Vx2EQrSTBl52NcCzZhJklzNyXXpHCqbYXUTeor0ubfu/M2fXVKsiDW180iVxvqvTo=
X-Received: by 2002:a17:906:7806:: with SMTP id
 u6mr1597134ejm.200.1580967472820; 
 Wed, 05 Feb 2020 21:37:52 -0800 (PST)
MIME-Version: 1.0
From: Corwin Brust <corwin@HIDDEN>
Date: Wed, 5 Feb 2020 23:37:43 -0600
Message-ID: <CAJf-WoT8Z4MTu+ep1V7ZMTGjit4dbyr9a4rvudbCyEo_7bpFDg@HIDDEN>
Subject: 26.1; ERC connect wierdness
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000009e773c059de1acb9"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.208.42
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  *** E-Mail body has been placed on clipboard, please paste
 it here! *** Greetings! I'm reporting at the request of Bandali although
 I don't have a great deal of information, I'm afraid. I suspect a coorilation
 to a major update of MELPA/ELPA packages I did on Sunday - I h [...] 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: freenode.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (mplscorwin[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.0 WEIRD_PORT             URI: Uses non-standard port number for HTTP
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--0000000000009e773c059de1acb9
Content-Type: text/plain; charset="UTF-8"

*** E-Mail body has been placed on clipboard, please paste it here! ***



Greetings!  I'm reporting at the request of Bandali although I don't
have a great deal of information, I'm afraid.  I suspect a coorilation
to a major update of MELPA/ELPA packages I did on Sunday - I haven't
successfully connected to ERC since.  That said, problem exists also
under -Q

[Start Emacs from Git Bash prompt; same under cmd.exe and this is easier)

/d/emax64/bin/runemacs.exe -Q --eval '(setq erc-debug-irc-protocol
t)(raise-frame)'

;; the raise frame was an error but I didn't worry about it
;; making my report.  Hope that doesn't cause confusion.

[Once Emacs is up, I pulled and evaled two bits of code from my startup
sequence one at a time in the order shown:]

;; from emacswiki
(defmacro asf-erc-bouncer-connect (command server port nick ssl pass)
   "Create interactive command `COMMAND'.
Connect to IRC `SERVER` on `PORT`as `NICK` with `SSL` or `PASS`.
The command uses interactive mode if passed an argument."
   (fset command
         `(lambda (arg)
           (interactive "p")
  (if (not (= 1 arg))
      (call-interactively 'erc)
    (let ((erc-connect-function ',(if ssl
      'erc-open-ssl-stream
    'open-network-stream)))
        (erc :server ,server :port ,port :nick ,nick :password ,pass))))))

(asf-erc-bouncer-connect erc-fn
                         "irc.freenode.net"
                         6667
                         "mplsCorwin" nil
                         "q[corwin]:exactlythatsmart")

[Then, finally:]

M-x erc-fn RET

Which results in my making various notes shown here in fairly haphazard
form.  Sorry.

1. ERC appears to start, ERC: CLOSED shown in the mode-line, "Connecting
[...]" in the minibuffer.

2. It appears to just sit there

3. I join freenode.net from a web-client while playing with this last
night and saw myself join and then connection timeout three times in
fairly rapid succession but this didn't happen while testing under -Q
AFICT.  There is *no* indication that any server activity is occuring,
e.g. no updates to the irc.freenode.net:6667 and no process buffers I
can find.

4. Today preping this report I got a slightly different output at the
end:

  *** ERC terminated: failed with code 10060

5. After confirming this problem didn't go away over night (also under
-Q but before preping this bug report, which I did under a fresh
session), I connected to freenode and chatted with bandali using rcirc
which had no connection difficulties I noticed.

6. I think I'm starting to get somewhere with lisp but my foundational
Emacs knowledge is weak.  Moreover, I'm running under Windows 10 and
don't (yet) know how to compile from sources locally.  That said let me
know any other information, tests, etc which would be helpful and I'll
do my best (not withstanding $life & whatnot) to respond promply.

7. My next step, again at Bandali's advice, is to play with tls.
Obviously, if that changes things I'll report back in.


In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
 of 2018-05-13 built on TPW550S
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
Recent messages:
Connecting to irc.freenode.net:6667...
Logging in as `mplsCorwin'...
<M-insert> is undefined
Connecting to irc.freenode.net:6667...
Logging in as `mplsCorwin'...
Connecting to irc.freenode.net:6667...
Logging in as `mplsCorwin'...
<left-fringe> <drag-mouse-1> is undefined
Mark set
Making completion list...

Configured using:
 'configure --without-compress-install --without-dbus --with-modules
 'CFLAGS= -O2 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND NOTIFY ACL GNUTLS LIBXML2
ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: cp1252

Major mode: ERC

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq dired
dired-loaddefs rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils misearch multi-isearch erc-list erc-menu
easymenu erc-join erc-ring erc-networks erc-pcomplete pcomplete comint
ansi-color ring erc-track erc-match erc-button wid-edit erc-fill
erc-stamp erc-netsplit erc-goodies erc erc-backend erc-compat
format-spec auth-source cl-seq eieio byte-opt bytecomp byte-compile
cconv eieio-core cl-macs gv eieio-loaddefs cl-loaddefs cl-lib
password-cache thingatpt pp elec-pair time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify w32 lcms2
multi-tty make-network-process emacs)

Memory information:
((conses 16 131403 9951)
 (symbols 56 23563 1)
 (miscs 48 64 161)
 (strings 32 39139 913)
 (string-bytes 1 1036867)
 (vectors 16 18196)
 (vector-slots 8 526999 16844)
 (floats 8 62 195)
 (intervals 56 665 14)
 (buffers 992 16))

--0000000000009e773c059de1acb9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">*** E-Mail body has been placed on clipboard, please paste=
 it here! ***<div><br></div><div><br><br>Greetings!=C2=A0 I&#39;m reporting=
 at the request of Bandali although I don&#39;t<br>have a great deal of inf=
ormation, I&#39;m afraid.=C2=A0 I suspect a coorilation<br>to a major updat=
e of MELPA/ELPA packages I did on Sunday - I haven&#39;t<br>successfully co=
nnected to ERC since.=C2=A0 That said, problem exists also<br>under -Q<br><=
br>[Start Emacs from Git Bash prompt; same under cmd.exe and this is easier=
)<br><br>/d/emax64/bin/runemacs.exe -Q --eval &#39;(setq erc-debug-irc-prot=
ocol t)(raise-frame)&#39;<br><br>;; the raise frame was an error but I didn=
&#39;t worry about it<br>;; making my report.=C2=A0 Hope that doesn&#39;t c=
ause confusion.<br><br>[Once Emacs is up, I pulled and evaled two bits of c=
ode from my startup<br>sequence one at a time in the order shown:]<br><br>;=
; from emacswiki<br>(defmacro asf-erc-bouncer-connect (command server port =
nick ssl pass)<br>=C2=A0 =C2=A0&quot;Create interactive command `COMMAND&#3=
9;.<br>Connect to IRC `SERVER` on `PORT`as `NICK` with `SSL` or `PASS`.<br>=
The command uses interactive mode if passed an argument.&quot;<br>=C2=A0 =
=C2=A0(fset command<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0`(lambda (arg)<br>=
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(interactive &quot;p&quot;)<br>	 =
=C2=A0 (if (not (=3D 1 arg))<br>	 =C2=A0 =C2=A0 =C2=A0 (call-interactively =
&#39;erc)<br>	 =C2=A0 =C2=A0 (let ((erc-connect-function &#39;,(if ssl<br>	=
				 =C2=A0 =C2=A0 =C2=A0 &#39;erc-open-ssl-stream<br>					 =C2=A0 =C2=A0 &=
#39;open-network-stream)))<br>=C2=A0	 =C2=A0 =C2=A0 =C2=A0 (erc :server ,se=
rver :port ,port :nick ,nick :password ,pass))))))<br><br>(asf-erc-bouncer-=
connect erc-fn<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;<a href=3D"http://irc.freenode.net"=
>irc.freenode.net</a>&quot;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A06667<br>=C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0&q=
uot;mplsCorwin&quot; nil<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0&quot;q[corwin]:exactlythatsma=
rt&quot;)<br><br>[Then, finally:]<br><br>M-x erc-fn RET<br><br>Which result=
s in my making various notes shown here in fairly haphazard<br>form.=C2=A0 =
Sorry.<br><br>1. ERC appears to start, ERC: CLOSED shown in the mode-line, =
&quot;Connecting<br>[...]&quot; in the minibuffer.<br><br>2. It appears to =
just sit there<br><br>3. I join <a href=3D"http://freenode.net">freenode.ne=
t</a> from a web-client while playing with this last<br>night and saw mysel=
f join and then connection timeout three times in<br>fairly rapid successio=
n but this didn&#39;t happen while testing under -Q<br>AFICT.=C2=A0 There i=
s *no* indication that any server activity is occuring,<br>e.g. no updates =
to the <a href=3D"http://irc.freenode.net:6667">irc.freenode.net:6667</a> a=
nd no process buffers I<br>can find.<br><br>4. Today preping this report I =
got a slightly different output at the<br>end:<br><br>=C2=A0 *** ERC termin=
ated: failed with code 10060<br><br>5. After confirming this problem didn&#=
39;t go away over night (also under<br>-Q but before preping this bug repor=
t, which I did under a fresh<br>session), I connected to freenode and chatt=
ed with bandali using rcirc<br>which had no connection difficulties I notic=
ed.<br><br>6. I think I&#39;m starting to get somewhere with lisp but my fo=
undational<br>Emacs knowledge is weak.=C2=A0 Moreover, I&#39;m running unde=
r Windows 10 and<br>don&#39;t (yet) know how to compile from sources locall=
y.=C2=A0 That said let me<br>know any other information, tests, etc which w=
ould be helpful and I&#39;ll<br>do my best (not withstanding $life &amp; wh=
atnot) to respond promply.<br><br>7. My next step, again at Bandali&#39;s a=
dvice, is to play with tls.<br>Obviously, if that changes things I&#39;ll r=
eport back in.<br><br><br>In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)<b=
r>=C2=A0of 2018-05-13 built on TPW550S<br>Windowing system distributor &#39=
;Microsoft Corp.&#39;, version 10.0.18363<br>Recent messages:<br>Connecting=
 to irc.freenode.net:6667... <br>Logging in as `mplsCorwin&#39;...<br>&lt;M=
-insert&gt; is undefined<br>Connecting to irc.freenode.net:6667... <br>Logg=
ing in as `mplsCorwin&#39;...<br>Connecting to irc.freenode.net:6667... <br=
>Logging in as `mplsCorwin&#39;...<br>&lt;left-fringe&gt; &lt;drag-mouse-1&=
gt; is undefined<br>Mark set<br>Making completion list...<br><br>Configured=
 using:<br>=C2=A0&#39;configure --without-compress-install --without-dbus -=
-with-modules<br>=C2=A0&#39;CFLAGS=3D -O2 -g3&#39;&#39;<br><br>Configured f=
eatures:<br>XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND NOTIFY ACL GNUTLS =
LIBXML2<br>ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS LCMS2<br><br>Important =
settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-sys=
tem: cp1252<br><br>Major mode: ERC<br><br>Minor modes in effect:<br>=C2=A0 =
erc-list-mode: t<br>=C2=A0 erc-menu-mode: t<br>=C2=A0 erc-autojoin-mode: t<=
br>=C2=A0 erc-ring-mode: t<br>=C2=A0 erc-networks-mode: t<br>=C2=A0 erc-pco=
mplete-mode: t<br>=C2=A0 erc-track-mode: t<br>=C2=A0 erc-track-minor-mode: =
t<br>=C2=A0 erc-match-mode: t<br>=C2=A0 erc-button-mode: t<br>=C2=A0 erc-fi=
ll-mode: t<br>=C2=A0 erc-stamp-mode: t<br>=C2=A0 erc-netsplit-mode: t<br>=
=C2=A0 erc-irccontrols-mode: t<br>=C2=A0 erc-noncommands-mode: t<br>=C2=A0 =
erc-move-to-prompt-mode: t<br>=C2=A0 erc-readonly-mode: t<br>=C2=A0 tooltip=
-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<b=
r>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-=
mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode:=
 t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 aut=
o-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-comp=
ression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode=
: t<br><br>Load-path shadows:<br>None found.<br><br>Features:<br>(shadow so=
rt mail-extr emacsbug message rmc puny seq dired<br>dired-loaddefs rfc822 m=
ml mml-sec epa derived epg epg-config gnus-util<br>rmail rmail-loaddefs mm-=
decode mm-bodies mm-encode mail-parse rfc2231<br>mailabbrev gmm-utils mailh=
eader sendmail rfc2047 rfc2045 ietf-drums<br>mm-util mail-prsvr mail-utils =
misearch multi-isearch erc-list erc-menu<br>easymenu erc-join erc-ring erc-=
networks erc-pcomplete pcomplete comint<br>ansi-color ring erc-track erc-ma=
tch erc-button wid-edit erc-fill<br>erc-stamp erc-netsplit erc-goodies erc =
erc-backend erc-compat<br>format-spec auth-source cl-seq eieio byte-opt byt=
ecomp byte-compile<br>cconv eieio-core cl-macs gv eieio-loaddefs cl-loaddef=
s cl-lib<br>password-cache thingatpt pp elec-pair time-date mule-util toolt=
ip eldoc<br>electric uniquify ediff-hook vc-hooks lisp-float-type mwheel do=
s-w32<br>ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win<b=
r>tool-bar dnd fontset image regexp-opt fringe tabulated-list replace<br>ne=
wcomment text-mode elisp-mode lisp-mode prog-mode register page<br>menu-bar=
 rfn-eshadow isearch timer select scroll-bar mouse jit-lock<br>font-lock sy=
ntax facemenu font-core term/tty-colors frame cl-generic<br>cham georgian u=
tf-8-lang misc-lang vietnamese tibetan thai tai-viet lao<br>korean japanese=
 eucjp-ms cp51932 hebrew greek romanian slovak czech<br>european ethiopic i=
ndian cyrillic chinese composite charscript charprop<br>case-table epa-hook=
 jka-cmpr-hook help simple abbrev obarray minibuffer<br>cl-preloaded nadvic=
e loaddefs button faces cus-face macroexp files<br>text-properties overlay =
sha1 md5 base64 format env code-pages mule<br>custom widget hashtable-print=
-readable backquote w32notify w32 lcms2<br>multi-tty make-network-process e=
macs)<br><br>Memory information:<br>((conses 16 131403 9951)<br>=C2=A0(symb=
ols 56 23563 1)<br>=C2=A0(miscs 48 64 161)<br>=C2=A0(strings 32 39139 913)<=
br>=C2=A0(string-bytes 1 1036867)<br>=C2=A0(vectors 16 18196)<br>=C2=A0(vec=
tor-slots 8 526999 16844)<br>=C2=A0(floats 8 62 195)<br>=C2=A0(intervals 56=
 665 14)<br>=C2=A0(buffers 992 16))<br></div></div>

--0000000000009e773c059de1acb9--




Acknowledgement sent to Corwin Brust <corwin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39448; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Feb 2020 14:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.